void printl(long val);

int main()
{
  unsigned long i, j, val;

  for (i = -2; (long)i < 3; i++)
    for (j = -2; (long)j < 3; j++) {
      if (j != 0) {
	val  = i; printl(val);
	val /= j; printl(val);
	val  = i; printl(val);
	val %= j; printl(val);
      }
    }

  return 0;
}
